@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,400;0,500;0,700;0,800;1,400&display=swap');

:root {
  --white: #fff;
  --gray: #ccc;
  --blue: #489df3;
  --red: #F0506E;
  --border: #dcdfe3;
  --text-color: #212429;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Open Sans', sans-serif;
}

.fonts {
  font-family: 'Open Sans', sans-serif;
}

html,
body {
  font-family: 'Open Sans', sans-serif;
  overflow: hidden;
  scrollbar-color: #91C2F6 rgb(240, 244, 247);
  scrollbar-width: thin;
}

::-webkit-scrollbar-button {
  width: 10px;
  height: 0px;
}

::-webkit-scrollbar-track {
  background-color: rgb(240, 244, 247);
}

::-webkit-scrollbar-thumb {
  -webkit-border-radius: 5px;
  border-radius: 5px;
  background-color: rgba(145, 194, 246, 0.2);
}

::-webkit-scrollbar-thumb:hover {
  background-color: #91C2F6;
}

::-webkit-resizer {
  width: 10px;
  height: 0px;
}

::-webkit-scrollbar {
  width: 10px;
}

.uk-notification-top-center .uk-notification-close:hover {
  color: #F0506E !important;
}
.uk-notification-top-center .uk-notification-message  {
  border-radius: 10px;
}

.app_container {
  display: flex;
  position: relative;
  justify-content: center;
  width: 100%;
  min-height: 100vh;
}

.glass {
  background: rgba(255, 255, 255, 0.1);
  border-top: 1px solid rgba(255, 255, 255, 0.5);
  box-shadow: 0 25px 25px rgba(0, 0, 0, 0.5);
  backdrop-filter: blur(10px);
}

#panel-locale-selector {
  height: 100%;
  justify-content: center;
  align-items: center;
  align-content: center;
  padding: 0 10px;
  border-radius: 5px 0 0 5px;
  transform: translate(10px, -5px);
}

.button_locale {
  color: #c4c4c4 !important;
  border: 2px solid transparent;
  padding: 0 10px;
  border-radius: 15px;
  margin: 5px;
  letter-spacing: 3px;
  text-transform: uppercase;
  transition: 0.3s;
}

.button_locale.select,
.button_locale:hover {
  border: 2px solid var(--red);
  color: var(--white) !important;
}

.app_header {
  position: absolute;
  display: flex;
  left: 0;
  top: 0;
  width: 100%;
  height: 70px;
  padding: 0 20px;
  justify-content: space-between;
  align-content: center;
  background: var(--white);
  border-bottom: 1px solid var(--border);
  z-index: 1 !important;
}

.app_header .button_locale {
  color: var(--text-color) !important;
  margin: 2px;
}

.app_header #panel-locale-selector {
  transform: translate(0px, 0px);
}

#label-logo {
  margin-left: 10px;
}

#label-logo span {
  font-size: 1.7em;
  color: var(--text-color) !important;
}

.app_body {
  display: flex;
  width: 100%;
  height: calc(100% - 70px);
  overflow: hidden;
  position: absolute;
  top: 70px;
  left: 0;
  right: 0;
  bottom: 0;
}

.app_left_panel {
  position: absolute;
  top: 0;
  left: 0;
  width: 300px;
  height: 100%;
  border-right: 1px solid var(--border);
  background: var(--white);
  opacity: 1;
  transition: 0.5s;
}

.app_left_panel_content {
  width: 100%;
  height: 100%;
  overflow: auto;
  flex-direction: row;
  align-content: space-between;
}

.app_left_panel .menu_block {
  width: 100%;
  flex-wrap: nowrap;
}

.app_content {
  position: absolute;
  right: 0;
  top: 0;
  display: flex;
  width: calc(100% - 300px);
  padding: 10px 40px;
  overflow: auto;
  height: 100%;
}

#panel-user-info {
  display: flex;
  margin: 0;
  padding: 0;
  width: 220px;
  height: 100%;
  align-items: center;
  align-content: center;
}

.user_info {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  min-width: 150px;
  margin: 0;
  padding: 0;
  min-height: 0;
}


.user_name,
.user_progress_percent {
  color: var(--text-color) !important;
}

.user_progress_bar {
  position: relative;
  width: 100%;
  height: 6px !important;
  min-height: 6px;
  margin: 0;
  padding: 0;
  background: #c4c4c4;
  transition: 1s;
}

.user_progress_bar>div {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  height: 6px !important;
  min-height: 6px;
  min-width: 0;
  width: 0;
  margin: 0;
  padding: 0;
  background: var(--red);
  transition: 1s;
}

.menuItem {
  position: relative;
  width: 100%;
  min-height: 60px;
  background: #fff;
  display: flex;
  justify-content: space-between;
  align-items: center;
  align-content: center;
  border-bottom: 1px solid var(--border);
  transition: 0.3s;
}


.menuItem button {
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  padding: 0;
  padding-left: 20px;
  margin: 0;
  justify-content: flex-start !important;
  transition: 0.3s;
  border: none;
  color: var(--text-color) !important;
}

.menuItem button::before {
  border: none;
}

.menuItem div {
  position: absolute;
  right: 10px;
}

.menuItem button span {
  margin-right: 20px !important;
  transition: 0.3s;
}

.menuItem button span svg {
  width: 25px;
}

.menuItem.active span,
.menuItem:hover span {
  color: var(--white) !important;
}

.menuItem.active,
.menuItem.active button,
.menuItem:hover button {
  border: none;
  background: var(--red);
  color: var(--white) !important;
}

button#buttonLogOut {
  background: var(--text-color);
  font-size: 1.1em;
  border-top: 1px solid var(--border);
  color: var(--white) !important;
}

button#buttonLogOut:hover {
  background: var(--red);
}

.button-switch {
  position: relative;
  border-radius: 8px;
  width: 50px;
  height: 50px;
  margin: 0;
  padding: 0;
  border: none;
  transition: 0.5s;
}

.button-switch svg {
  width: 40px;
  height: 40px;
  transition: 0.5s;
}

.button-switch::before {
  content: '';
  width: 15px;
  height: 15px;
  border: 1px solid var(--border);
  display: block;
  position: absolute;
  left: -50%;
  top: 50%;
  transform: translate(50%, -50%);
  transition: 0.5s;
}

.button-switch::after {
  content: '';
  width: 17px;
  height: 7px;
  border-right: 4px solid var(--red);
  border-top: 4px solid var(--red);
  display: block;
  position: absolute;
  left: -65%;
  top: 40%;
  opacity: 0;
  transform: rotate(-90deg) translate(0px, 9px);
  transition: 0.5s;
}

.button-switch.pressed::after {
  border-color: #080;
  opacity: 1;
  transform: rotate(125deg) translate(-15px, -10px);
}

.button-switch:hover::before {
  border-color: #666;
}

.button-switch.pressed:hover::after {
  border-color: #060;
}

.button-switch:hover svg {
  color: #666;
}

.background-gradient {
  background: linear-gradient(to right, rgba(0, 0, 0, 0.02), #fff);
}

#profile-photo {
  border: 1px solid var(--border);
  border-radius: 10px;
}

.label_container {
  margin: 0;
  align-items: center;
  align-content: center;
  padding: 15px 0;
  border-bottom: 1px solid var(--border);
}

.label_title {
  text-transform: uppercase;
  font-weight: 600;
  color: var(--text-color) !important;
}

.label_value {
  color: var(--text-color) !important;
  font-weight: 500;
}

#basicCourseInformation {
  position: relative;
  margin: 30px 0;
  border-radius: 10px;
  overflow: hidden;
}

#courseName,
#courseAuthor {
  position: absolute;
  display: flex;
  width: 100%;
  padding: 5px 10px;
  z-index: 1 !important;
  background: rgba(0, 0, 0, 0.2);
  backdrop-filter: blur(5px);
  user-select: none;
}

#courseName {
  top: 0;
}

#courseAuthor {
  bottom: 0;
  justify-content: end;
}

#courseName span,
#courseAuthor span {
  color: var(--white) !important;
  width: auto !important;
  font-size: 1.2em;
}

.kw-tabs {
  min-height: 50px;
  border-bottom: 1px solid var(--red);
  padding: 0;
}

.kw-tabs-label {
  display: none;
}

.kw-tabs-menu {
  height: 100%;
  padding: 0;
  min-height: 50px;
}

.kw-tabs-item {
  height: 100%;
  min-height: 50px;
  margin: 0;
  padding: 0 30px;
  border: none;
  border-right: 1px solid var(--border);
  background: var(--white);
  font-weight: 500;
  transition: 0.5s;
}

.kw-tabs-item:hover {
  background: #d4d4d4;
}

.kw-tabs-item._active {
  background: var(--red);
  border-color: var(--border);
  color: var(--white) !important;
}

.kw-tabs-item:last-child {
  border-right: none;
}

.course_panel {
  display: none;
  opacity: 0;
  transition: 0.5s;
}

.course_panel._active {
  opacity: 1;
}

#CourseDescription {
  margin: 15px 0px;
}

.kw-button {
  position: relative;
  min-height: 40px;
  color: #fff !important;
  border: none;
  border-radius: 8px;
  background: var(--red);
  overflow: hidden;
  transition: 0.5s;
}

.kw-button:focus {
  background: var(--red);
}
.kw-button::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 50%;
  height: 100%;
  background: rgba(255, 255, 255, 0.1);
  transform: skewX(45deg) translateX(290px);
  transition: 0.5s;
}

.kw-button:not([disabled]):hover {
  background: rgba(255, 0, 60, 0.6);
}

.kw-button:not([disabled]):hover::before {
  transform: skewX(45deg) translateX(-150px);
}

.kw-button.kw-button-transparent {
  background: transparent;
  border: 1px solid var(--red) !important;
  color: var(--red) !important;
}

.kw-button.kw-button-transparent:not([disabled]):hover {
  background: rgba(255, 0, 0, 0.05);
}

.kw-button.kw-button-transparent::before {
  background: rgba(255, 0, 0, 0.1);
}

.kw-button:disabled {
  color: #ccc !important;
  border-color: #ccc !important;
}

._lock {
  overflow: hidden;
}

.menu__icon {
  display: none;
  position: relative;
  z-index: 5 !important;
  width: 30px;
  height: 20px;
  min-height: 0 !important;
  min-width: 0 !important;
  cursor: pointer;
  transition: 0.3s ease 0s;
  margin-right: 20px;
}

.menu__icon:hover div,
.menu__icon:hover::before,
.menu__icon:hover::after {
  background-color: #489df3;
}

.menu__icon._active:hover::before,
.menu__icon._active:hover::after {
  background-color: #ef3f39;
}

.menu__icon div,
.menu__icon::before,
.menu__icon::after {
  position: absolute;
  left: 0;
  min-height: 0 !important;
  min-width: 0 !important;
  height: 10%;
  width: 100%;
  transition: all 0.3s ease 0s;
  background-color: #4b5256;
  margin: 0;
  padding: 0;
}

.menu__icon::before,
.menu__icon::after {
  content: "";
  display: block;
}

.menu__icon::before {
  top: 0;
}

.menu__icon::after {
  bottom: 0;
}

.menu__icon div {
  top: 50%;
  transform: scale(1) translate(0px, -50%);
}

.menu__icon._active div {
  transform: scale(0) translate(0px, -50%);
}

.menu__icon._active::before {
  top: 50%;
  transform: rotate(-45deg) translate(0px, -50%);
}

.menu__icon._active::after {
  bottom: 50%;
  transform: rotate(45deg) translate(0px, 50%);
}

@media (max-width: 1250px) {
  .centered-repeater>div {
    margin: 25px 10px !important;
  }
}

@media (max-width: 800px) {
  .menu__icon {
    display: block;
  }

  .app_left_panel {
    transform: translateX(-100%);
    z-index: 1000 !important;
    opacity: 0;
  }

  .app_left_panel._active {
    opacity: 1;
    transform: translateX(0);
    width: 100%;
  }

  .menu__icon.testing,
  .app_left_panel.testing {
    display: none;
  }

  .app_content {
    width: 100%;
    padding: 10px;
  }

  .centered-repeater {
    justify-content: center !important;
  }
}

@media (max-width: 639px) {
  .uk-notification {
    top: 70px;
  }

  #panel-user-info,
  .app_header .button_locale.select {
    display: none !important;
  }

  .app_header .button_locale {
    font-size: 1.2em;
    border: 2px solid var(--red);
  }
}

@media (max-width: 550px) {
  #panel-user-data {
    flex-direction: column;
    align-content: center;
  }

  #panel-user-fio {
    margin: 0 !important;
    width: 100% !important;
  }
}

@media (max-width: 390px) {
  #panel-header-actions,
  #panel-locale-selector,
  #panel-logo,
  .kw-card {
    min-width: 0 !important;
  }

  #label-logo {
    display: none;
  }

  .kw-button {
    padding: 0 15px;
  }
}
